%define schemas		%{name}

%define svn		0
%define rel		1
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define	dirname		trayicon
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define dirname		%name-%version
%endif

Name:           synce-trayicon
Summary: 	SynCE tray icon for GNOME
Version:        0.12
Release:        %{release}
License:        MIT
Source0: 	http://downloads.sourceforge.net/synce/%{distname}
# Use autoreconf rather than gnome-autogen.sh as it seems to fail on
# the buildsystem, even though it works in iurt... - AdamW 2008/07
Patch0:		synce-trayicon-3510-autogen.patch
# Default to hal-dccm, not odccm, we're using hal-dccm - AdamW 2008/07
Patch1:		synce-trayicon-3510-defaulthal.patch
Source10:	%{name}-16x16.png
Source11:	%{name}-32x32.png
Source12:	%{name}-48x48.png
URL: 		http://synce.sourceforge.net/
Group:          Communications
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libsynce-devel
BuildRequires:	librapi-devel
BuildRequires:	libglade2-devel
BuildRequires:	gtk2-devel
BuildRequires:	atk-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgtop2.0-devel
BuildRequires:	librra-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	hal-devel
BuildRequires:	gnome-keyring-devel
BuildRequires:	libnotify-devel
BuildRequires:	liborange-devel
BuildRequires:	gnome-common
BuildRequires:	intltool

%description
Synce-trayicon is part of the SynCE project. This application provides
an icon in the system tray that shows when a device is connected and
lets you perform a variety of operations on connected devices.

%prep
%setup -q -n %{dirname}
%if %svn
%patch0 -p1 -b .autogen
%endif
%patch1 -p1

%build
%if %svn
./autogen.sh
%endif
%configure2_5x --with-librapi2=%{buildroot}%{_prefix} --disable-schemas-install --enable-notify
%make

%install
rm -rf %{buildroot}
%makeinstall

#icons
install -m 644 -D %{SOURCE10} %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 644 -D %{SOURCE11} %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 644 -D %{SOURCE12} %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Synce-trayicon
Comment=SynCE tray icon for GNOME
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=TelephonyTools;Utility;GTK;GNOME;
EOF

# XDG autostart
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cat > %{buildroot}%{_sysconfdir}/xdg/autostart/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Exec=synce-trayicon
Name=SynCE tray icon (GNOME)
Terminal=false
Type=Application
StartupNotify=false
X-KDE-autostart-phase=2
X-KDE-autostart-after=panel
EOF

rm -f %{buildroot}%{_iconsdir}/hicolor/icon-theme.cache

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_icon_cache hicolor}
%post_install_gconf_schemas %{schemas}
%endif

%preun
%preun_uninstall_gconf_schemas %{schemas}

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_icon_cache hicolor}
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog 
%{_bindir}/%{name}
%{_datadir}/synce/synce_trayicon_properties.glade
%{_libdir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_sysconfdir}/xdg/autostart/mandriva-%{name}.desktop
%{_mandir}/man1/*.1*
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Wed Jul 30 2008 Adam Williamson <awilliamson@mandriva.com> 0.12-1mdv2009.0
+ Revision: 254563
- only apply autogen.patch if building from svn (useless and won't work otherwise)
- new release 0.12

* Sat Jul 19 2008 Adam Williamson <awilliamson@mandriva.com> 0.12-0.3510.3mdv2009.0
+ Revision: 238818
- add another section to defaulthal.patch, it wasn't sufficient

* Fri Jul 18 2008 Adam Williamson <awilliamson@mandriva.com> 0.12-0.3510.2mdv2009.0
+ Revision: 238436
- add defaulthal.patch (default to using hal-dccm, not odccm)

* Thu Jul 17 2008 Adam Williamson <awilliamson@mandriva.com> 0.12-0.3510.1mdv2009.0
+ Revision: 237831
- add autogen.patch: hack autogen.sh to use autoreconf rather than
  gnome-autogen as gnome-autogen fails weirdly in our bs
- now buildrequires liborange-devel
- new snapshot 3510 (new version 0.12 as well)
- buildrequires intltool
- buildrequires gnome-common (for gnome-autogen.sh)
- bump to latest SVN

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Apr 16 2008 Adam Williamson <awilliamson@mandriva.com> 0.11-1mdv2009.0
+ Revision: 194753
- new release 0.11
- add XDG autostart file so it will be automatically run on desktop start
- add several buildrequires now useful for svn version
- improve description
- update to current svn (much better version, works with vdccm and odccm)
- clean spec, adapt to svn build

* Fri Feb 01 2008 Funda Wang <fundawang@mandriva.org> 0.9.0-8mdv2008.1
+ Revision: 161091
- BR glade
- fix menu entry

  + Emmanuel Andry <eandry@mandriva.org>
    - drop requires synce
    - add BR libsynce-devel

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Sep 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.0-6mdv2007.0
- Use mkrel
- XDG

* Thu Jun 22 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.0-5mdv2007.0
- BuildRequires

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.0-4mdk
- Rebuild

* Wed May 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.0-3mdk
- Rebuild

* Thu Jan 13 2005 Austin Acton <austin@mandrake.org> 0.9.0-2mdk
- add menu (Couriousous)

* Thu Jan 13 2005 Austin Acton <austin@mandrake.org> 0.9.0-1mdk
- adapt spec from Charles Bovy

